Subject: Re: [PATCH 05/29] arm64: dts: amlogic: meson-g12: Set FL-adj property value

From: Krzysztof Kozlowski <[email-masked]>
Date: Tue, 20 Oct 2020 14:46:28 +0200

On Tue, Oct 20, 2020 at 03:44:04PM +0300, Serge Semin wrote:
> On Tue, Oct 20, 2020 at 02:34:04PM +0200, Krzysztof Kozlowski wrote:
> > On Tue, Oct 20, 2020 at 02:59:35PM +0300, Serge Semin wrote:
> > > In accordance with the DWC USB3 bindings the property is supposed to have
> > > uint32 type. It's erroneous from the DT schema and driver points of view
> > > to declare it as boolean.
> > 
> 
> > I think the driver uses it as u32, so what do you mean by "declare" in
> > context of a driver?
> 
> I meant that both the driver and DT schema expects it to be uint32, while the
> dts has got the property as boolean, which is wrong. The same problem has
> been fixed in the Amlogic Meson-g12 DT schema example:
> https://lore.kernel.org/linux-usb/[email-masked]/T/#m225585212162b9f5cccb1a7088850fab8792b7b3

Ah, I got it.

Reviewed-by: Krzysztof Kozlowski <[email-masked]>

Best regards,
Krzysztof

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel